ETS2 – Gps Navigator (1.34.x)

This mod is designed for maximum realistic simulation purposes.
I like to play real, so I wrote some mod for help.
A mod that makes custom GPS Navigator

UPDATE NOTES
– First version released.

REQUIRED GAME VERSION
1.33.X or 1.34.X

Supported game versions: ETS2 – (1.34.x)

Authors: eachthighearn

You may also like...

Leave a Reply

Your email address will not be published.